# Generated by Django 3.2.13 on 2022-09-15 14:07

import awx.main.fields
import awx.main.utils.polymorphic
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ('main', '0168_inventoryupdate_scm_revision'),
    ]

    operations = [
        migrations.AddField(
            model_name='joblaunchconfig',
            name='execution_environment',
            field=models.ForeignKey(
                blank=True,
                default=None,
                help_text='The container image to be used for execution.',
                null=True,
                on_delete=awx.main.utils.polymorphic.SET_NULL,
                related_name='joblaunchconfig_as_prompt',
                to='main.executionenvironment',
            ),
        ),
        migrations.AddField(
            model_name='joblaunchconfig',
            name='labels',
            field=models.ManyToManyField(related_name='joblaunchconfig_labels', to='main.Label'),
        ),
        migrations.AddField(
            model_name='jobtemplate',
            name='ask_execution_environment_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='jobtemplate',
            name='ask_forks_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='jobtemplate',
            name='ask_instance_groups_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='jobtemplate',
            name='ask_job_slice_count_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='jobtemplate',
            name='ask_labels_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='jobtemplate',
            name='ask_timeout_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='schedule',
            name='execution_environment',
            field=models.ForeignKey(
                blank=True,
                default=None,
                help_text='The container image to be used for execution.',
                null=True,
                on_delete=awx.main.utils.polymorphic.SET_NULL,
                related_name='schedule_as_prompt',
                to='main.executionenvironment',
            ),
        ),
        migrations.AddField(
            model_name='schedule',
            name='labels',
            field=models.ManyToManyField(related_name='schedule_labels', to='main.Label'),
        ),
        migrations.AddField(
            model_name='workflowjobnode',
            name='execution_environment',
            field=models.ForeignKey(
                blank=True,
                default=None,
                help_text='The container image to be used for execution.',
                null=True,
                on_delete=awx.main.utils.polymorphic.SET_NULL,
                related_name='workflowjobnode_as_prompt',
                to='main.executionenvironment',
            ),
        ),
        migrations.AddField(
            model_name='workflowjobnode',
            name='labels',
            field=models.ManyToManyField(related_name='workflowjobnode_labels', to='main.Label'),
        ),
        migrations.AddField(
            model_name='workflowjobtemplate',
            name='ask_labels_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='workflowjobtemplate',
            name='ask_skip_tags_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='workflowjobtemplate',
            name='ask_tags_on_launch',
            field=awx.main.fields.AskForField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='workflowjobtemplatenode',
            name='execution_environment',
            field=models.ForeignKey(
                blank=True,
                default=None,
                help_text='The container image to be used for execution.',
                null=True,
                on_delete=awx.main.utils.polymorphic.SET_NULL,
                related_name='workflowjobtemplatenode_as_prompt',
                to='main.executionenvironment',
            ),
        ),
        migrations.AddField(
            model_name='workflowjobtemplatenode',
            name='labels',
            field=models.ManyToManyField(related_name='workflowjobtemplatenode_labels', to='main.Label'),
        ),
        migrations.CreateModel(
            name='WorkflowJobTemplateNodeBaseInstanceGroupMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField(db_index=True, default=None, null=True)),
                ('instancegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.instancegroup')),
                ('workflowjobtemplatenode', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.workflowjobtemplatenode')),
            ],
        ),
        migrations.CreateModel(
            name='WorkflowJobNodeBaseInstanceGroupMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField(db_index=True, default=None, null=True)),
                ('instancegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.instancegroup')),
                ('workflowjobnode', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.workflowjobnode')),
            ],
        ),
        migrations.CreateModel(
            name='WorkflowJobInstanceGroupMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField(db_index=True, default=None, null=True)),
                ('instancegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.instancegroup')),
                ('workflowjobnode', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.workflowjob')),
            ],
        ),
        migrations.CreateModel(
            name='ScheduleInstanceGroupMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField(db_index=True, default=None, null=True)),
                ('instancegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.instancegroup')),
                ('schedule', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.schedule')),
            ],
        ),
        migrations.CreateModel(
            name='JobLaunchConfigInstanceGroupMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField(db_index=True, default=None, null=True)),
                ('instancegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.instancegroup')),
                ('joblaunchconfig', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.joblaunchconfig')),
            ],
        ),
        migrations.AddField(
            model_name='joblaunchconfig',
            name='instance_groups',
            field=awx.main.fields.OrderedManyToManyField(
                blank=True, editable=False, related_name='joblaunchconfigs', through='main.JobLaunchConfigInstanceGroupMembership', to='main.InstanceGroup'
            ),
        ),
        migrations.AddField(
            model_name='schedule',
            name='instance_groups',
            field=awx.main.fields.OrderedManyToManyField(
                blank=True, editable=False, related_name='schedule_instance_groups', through='main.ScheduleInstanceGroupMembership', to='main.InstanceGroup'
            ),
        ),
        migrations.AddField(
            model_name='workflowjob',
            name='instance_groups',
            field=awx.main.fields.OrderedManyToManyField(
                blank=True,
                editable=False,
                related_name='workflow_job_instance_groups',
                through='main.WorkflowJobInstanceGroupMembership',
                to='main.InstanceGroup',
            ),
        ),
        migrations.AddField(
            model_name='workflowjobnode',
            name='instance_groups',
            field=awx.main.fields.OrderedManyToManyField(
                blank=True,
                editable=False,
                related_name='workflow_job_node_instance_groups',
                through='main.WorkflowJobNodeBaseInstanceGroupMembership',
                to='main.InstanceGroup',
            ),
        ),
        migrations.AddField(
            model_name='workflowjobtemplatenode',
            name='instance_groups',
            field=awx.main.fields.OrderedManyToManyField(
                blank=True,
                editable=False,
                related_name='workflow_job_template_node_instance_groups',
                through='main.WorkflowJobTemplateNodeBaseInstanceGroupMembership',
                to='main.InstanceGroup',
            ),
        ),
    ]
